package com.gic.auth.service.outer.impl;

import com.gic.auth.dao.mapper.TabSysUserResourceMapper;
import com.gic.auth.entity.TabSysUserResource;
import com.gic.auth.service.UserResourceService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/29 10:03
 */
@Service
public class UserResourceServiceImpl implements UserResourceService {

    @Autowired
    private TabSysUserResourceMapper tabSysUserResourceMapper;

    @Override
    public boolean existUserResource(Integer enterpriseId, Integer resourceId) {
        TabSysUserResource userResource = tabSysUserResourceMapper.existUserResource(enterpriseId, resourceId);
        return userResource != null;
    }

    @Override
    public Map<Integer, Integer> countByResourceIds(Integer enterpriseId, List<Integer> resourceIds) {
        if (CollectionUtils.isNotEmpty(resourceIds)) {
            //
            Map<Integer, Integer> map = new HashMap<>();
            List<Map<String, Object>> list = tabSysUserResourceMapper.countByResourceIds(enterpriseId, resourceIds);
            for (Map<String, Object> integerIntegerMap : list) {
                map.put(Integer.valueOf(integerIntegerMap.get("resourceId").toString()), Integer.valueOf(integerIntegerMap.get("userResourceCount").toString()));
            }
            return map;
        } else {
            return Collections.emptyMap();
        }
    }
}